Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

Pangu for iOS 8.0-8.1 is released (instructions) - see /r/jailbreak on Reddit or @PanguTeam for updates.
How to jailbreak iOS 7.1-7.1.2 (using Pangu). How to jailbreak iOS 6.0-6.1.6.

Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems. If you'd like to ask for live help, you can join our chat room.

i have an iphone 5 on 6.1 . I need to upgrade it to 6.1.2 (i have 6.1.2 shsh blobs) for work (exchange bug) so I'm using TinyUmbrella with shsh blobs pulled from Cydia.

When i click restore, choosing my ipsw, it goes through all the steps and then prepares my phone for restoring but then puts the phone in recovery mode where it errors with error 11.

if i put the phone in DFU mode first, it does the same but instead takes a long time to "prepare for restore" and then gives error 16xx (1600, 1601, 1602, 1603).

iPhone 5 32GB (refurbished/replacement model ND295LL/A), iTunes 11.0.2, TU 6.12.00,

The only thing i can think is that the day before I tried to update for the first time, i did try to reset all content and settings ehich didnt seem to do anything.

does anyone have any idea what might be going on? because i have never had an issue like this before.

asked 24 Mar '13, 00:25

begna112's gravatar image

begna112
1212

closed 24 Mar '13, 01:43

spockers's gravatar image

spockers ♦♦
61.4k349052

The question has been closed for being "OP refuses to accept reason, no further efforts will be productive." by spockers, 24 Mar '13, 01:43


You can't currently restore an iPhone 5 to a firmware other than the latest.

link

answered 24 Mar '13, 00:28

kirb's gravatar image

kirb ♦
9.5k88

one of my friends just restored his iPhone 5 from 6.1 to 6.1.2 using TU and SHSH blobs to prove to me that it was possible. he didnt get the same errors as me and was able to do the upgrade so I think you are wrong about that.

(24 Mar '13, 00:33) begna112 begna112's gravatar image
1

It seriously isn't possible. I have no idea what your friend did, but presumably he simply restored while 6.1.2 was still being signed (almost always Apple keeps the previous firmware's signing window open for about a week)

(24 Mar '13, 00:34) kirb ♦ kirb's gravatar image

he just did it today lol. so ill wait till someone knows something about the actual errors im getting.

(24 Mar '13, 00:59) begna112 begna112's gravatar image

Information about the errors is publicly accessible... by the way, if you think your friend seriously restored from 6.1.3 to 6.1.2 (he didn't), why don't you ask him how he did it?

(24 Mar '13, 01:05) kirb ♦ kirb's gravatar image

ya i doubt your friend restored a 5 to 6.1.2 today

(24 Mar '13, 01:08) theiphoneguy ♦ theiphoneguy's gravatar image

i said from 6.1 to 6.1.2 ... not from 6.1.3 to 6.1.2. i did ask him and he led me through it and it still didnt work.

i never said downgrade i said restore

(24 Mar '13, 01:10) begna112 begna112's gravatar image

Or have him restore your iP5. :)

(24 Mar '13, 01:10) justinred ♦ justinred's gravatar image

You'll find that "downgrading" means to restore to any firmware that isn't the latest in the iOS community (as opposed to one older than the one your device has).

(24 Mar '13, 01:11) kirb ♦ kirb's gravatar image

that makes no sense at all. and regardless, u did say from 6.1.3 to 6.1.2 which was not what I said. Is there a reason you think an iphone 5 can't be restored using SHSH blobs to 6.1.2 right now?

(24 Mar '13, 01:15) begna112 begna112's gravatar image

Why would I lie to you? It's even at the very top of the page!

Apple has released iOS 6.1.3; do not upgrade or restore (if you want to keep your jailbreak). You cannot downgrade/upgrade/restore to 6.1.2 using SHSH blobs on newer devices; older devices that can use SHSH blobs are iPhone 4, iPhone 3GS, and iPod touch 4th gen.

(Chill about the 6.1.3 thing; it was my mistake but the firmware you're currently on makes no difference)

(24 Mar '13, 01:17) kirb ♦ kirb's gravatar image

lol im not saying ur lying. i just want to know the technical side of why i guess. what changed for the i5 that SHSH restores arent possible for it?

(24 Mar '13, 01:30) begna112 begna112's gravatar image

you cant restore to 6.1.2 even if you have shsh blobs as you are seeing by your errors. By all means if your friend really did, encourage him to come join us and share how, there are millions of people that would like to know how

(24 Mar '13, 01:30) theiphoneguy ♦ theiphoneguy's gravatar image

i mean he showed me how. he just did it like normal using TU. is it possible apple was still signing it for 64GB i5's today? his might also be an unlocked/off contract version... would that make a difference?

(24 Mar '13, 01:32) begna112 begna112's gravatar image

no, 6.1.2 has been closed for a few days now, and it wouldnt matter if its unlocked, not on a contract or anything.

(24 Mar '13, 01:34) theiphoneguy ♦ theiphoneguy's gravatar image
2

Those details are irrelevant to SHSH signing - the only differences that matter is that there are two iPhone 5 models, one for GSM networks in the US and another for CDMA networks and GSM outside of fhe US. It's unlikely that Apple would forget to close the signing window for one of the iPhone 5 models, however.

The changes that make it impossible to restore to a non-latest firmware, even with SHSH, is simply because there is currently no downgrade method. Devices with an A4 or older CPU are vulnerable to the limera1n bootrom exploit, which is used to make the device enter "Pwned DFU mode" (DFU after limera1n has removed restore signature checks, therefore allowing restoration of custom firmwares). No such exploit exists for A5 and newer devces.

(24 Mar '13, 01:38) kirb ♦ kirb's gravatar image

ahhh ok ok. well idk how he did it then : maybe he's lying to me but he said he did it today. anyway, found a work around by editing the build and version number to trick exchange activesync into thinking im on 6.1.3

(24 Mar '13, 02:04) begna112 begna112's gravatar image

ya, thats gonna cause problems next time you open the app store. change it back or be ready to be forced to 6.1.3

(24 Mar '13, 02:17) theiphoneguy ♦ theiphoneguy's gravatar image

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×39
×18

Asked: 24 Mar '13, 00:25

Seen: 8,294 times

Last updated: 24 Mar '13, 02:17

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.